System.register("chunks:///_virtual/B.ts",["cc","./A.ts"],(function(t){"use strict";var r,o,e,c;return{setters:[function(t){r=t.cclegacy,o=t._decorator,e=t.Component},function(t){c=t.A}],execute:function(){var n;r._RF.push({},"9153b958GhLM7EsVzfuLwUa","B",void 0);var s=o.ccclass;o.property,t("B",s("B")(n=function(t){var r,o;function e(){return t.apply(this,arguments)||this}return o=t,(r=e).prototype=Object.create(o.prototype),r.prototype.constructor=r,r.__proto__=o,e.prototype.start=function(){c.sayHello()},e}(e))||n);r._RF.pop()}}}));

System.register("chunks:///_virtual/A.ts",["cc"],(function(t){"use strict";var o,r,e,c;return{setters:[function(t){o=t.cclegacy,r=t._decorator,e=t.log,c=t.Component}],execute:function(){var n;o._RF.push({},"fecf5W6mYdN1YqA1iNc2eIC","A",void 0);var p=r.ccclass;r.property,t("A",p("A")(n=function(t){var o,r;function c(){return t.apply(this,arguments)||this}return r=t,(o=c).prototype=Object.create(r.prototype),o.prototype.constructor=o,o.__proto__=r,c.prototype.start=function(){},c.sayHello=function(){e("Hello Im A")},c}(c))||n);o._RF.pop()}}}));

System.register("chunks:///_virtual/main",["./A.ts","./B.ts"],(function(){"use strict";return{setters:[function(){},function(){}],execute:function(){}}}));

(function(r) {
  r('virtual:///prerequisite-imports/main', 'chunks:///_virtual/main'); 
})(function(mid, cid) {
    System.register(mid, [cid], function (_export, _context) {
    return {
        setters: [function(_m) {
            var _exportObj = {};

            for (var _key in _m) {
              if (_key !== "default" && _key !== "__esModule") _exportObj[_key] = _m[_key];
            }
      
            _export(_exportObj);
        }],
        execute: function () { }
    };
    });
});